{
Client Access Objects 1.5

Common declarations for Client Access/400 APIs translated to Delphi.

(c) 1998, 1999 Steven P. Goldsmith
All Rights Reserved

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 1, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

sgoldsmith@home.com
http://members.home.net/sgoldsmith/
}

(*********************************************************************)
(* Copyright = 5763-XA1 (C) Copyright IBM Corp 1994, 1995.           *)
(*   All rights reserved.                                            *)
(*   Licensed Material - Program property of IBM                     *)
(*   Refer to copyright instructions form number G120-2083.          *)
(*********************************************************************)
(*********************************************************************)
(*                                                                   *)
(* Module:                                                           *)
(*   CWB.H                                                           *)
(*                                                                   *)
(* Purpose:                                                          *)
(*   Common declarations for Client Access/400 APIs                  *)
(*                                                                   *)
(* Usage Notes:                                                      *)
(*                                                                   *)
(*********************************************************************)

(*********************************************************************)
(* Common definitions                                                *)
(*********************************************************************)

unit cwb;

interface

type
  cwb_Handle = LongInt;
  cwbSV_ErrHandle = CWB_HANDLE;
  cwb_Boolean = LongInt;

const

  CWB_FALSE = 0;
  CWB_TRUE = 1;

(*********************************************************************)
(* Client Access/400 return codes fall into the following            *)
(* categories:                                                       *)
(* - Global return codes corresponding to operating system errors    *)
(* - Global return codes unique to Client Access/400                 *)
(* - Specific return codes for each Client Access/400 function       *)
(*                                                                   *)
(* The global return codes are defined in this file.  The function   *)
(* specific return codes are defined in the function specific        *)
(* header files.                                                     *)
(*********************************************************************)

(*********************************************************************)
(* Global return codes corresponding to operating system errors      *)
(*********************************************************************)

  CWB_OK = 0;
  CWB_INVALID_FUNCTION = 1;
  CWB_FILE_NOT_FOUND = 2;
  CWB_PATH_NOT_FOUND = 3;
  CWB_TOO_MANY_OPEN_FILES = 4;
  CWB_ACCESS_DENIED = 5;
  CWB_INVALID_HANDLE = 6;
  CWB_NOT_ENOUGH_MEMORY = 8;
  CWB_INVALID_DRIVE = 15;
  CWB_NO_MORE_FILES = 18;
  CWB_DRIVE_NOT_READY = 21;
  CWB_GENERAL_FAILURE = 31;
  CWB_SHARING_VIOLATION = 32;
  CWB_LOCK_VIOLATION = 33;
  CWB_END_OF_FILE = 38;
  CWB_NOT_SUPPORTED = 50;
  CWB_BAD_NETWORK_PATH = 53;
  CWB_NETWORK_BUSY = 54;
  CWB_DEVICE_NOT_EXIST = 55;
  CWB_UNEXPECTED_NETWORK_ERROR = 59;
  CWB_NETWORK_ACCESS_DENIED = 65;
  CWB_FILE_EXISTS = 80;
  CWB_ALREADY_ASSIGNED = 85;
  CWB_INVALID_PARAMETER = 87;
  CWB_NETWORK_WRITE_FAULT = 88;
  CWB_OPEN_FAILED = 110;
  CWB_BUFFER_OVERFLOW = 111;
  CWB_DISK_FULL = 112;
  CWB_PROTECTION_VIOLATION = 115;
  CWB_INVALID_LEVEL = 124;
  CWB_BUSY_DRIVE = 142;
  CWB_INVALID_FSD_NAME = 252;
  CWB_INVALID_PATH = 253;

(*********************************************************************)
(* Global return codes unique to Client Access/400                   *)
(*********************************************************************)


  CWB_START = 4000;
  CWB_LAST = 5999;

  CWB_USER_CANCELLED_COMMAND = CWB_START;
  CWB_CONFIG_ERROR = CWB_START+1;
  CWB_LICENSE_ERROR = CWB_START+2;
  CWB_PROD_OR_COMP_NOT_SET = CWB_START+3;
  CWB_SECURITY_ERROR = CWB_START+4;
  CWB_GLOBAL_CFG_FAILED = CWB_START+5;
  CWB_PROD_RETRIEVE_FAILED = CWB_START+6;
  CWB_COMP_RETRIEVE_FAILED = CWB_START+7;
  CWB_COMP_CFG_FAILED = CWB_START+8;
  CWB_COMP_FIX_LEVEL_UPDATE_FAILED = CWB_START+9;
  CWB_INVALID_API_HANDLE = CWB_START+10;
  CWB_INVALID_API_PARAMETER = CWB_START+11;
  CWB_HOST_NOT_FOUND = CWB_START+12;
  CWB_NOT_COMPATIBLE = CWB_START+13;
  CWB_INVALID_POINTER = CWB_START+14;
  CWB_SERVER_PROGRAM_NOT_FOUND = CWB_START+15;
  CWB_API_ERROR = CWB_START+16;
  CWB_CA_NOT_STARTED = CWB_START+17;
  CWB_FILE_IO_ERROR = CWB_START+18;
  CWB_COMMUNICATIONS_ERROR = CWB_START+19;
  CWB_RUNTIME_RUCTOR_FAILED = CWB_START+20;
  CWB_DIAGNOSTIC = CWB_START+21;
  CWB_COMM_VERSION_ERROR = CWB_START+22;
  CWB_NO_VIEWER = CWB_START+23;
  CWB_MODULE_NOT_LOADABLE = CWB_START+24;
  CWB_ALREADY_SETUP = CWB_START+25;
  CWB_CANNOT_START_PROCESS = CWB_START+26;
  CWB_NON_REPRESENTABLE_UNICODE_CHAR = CWB_START+27;

implementation

end.
